[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg -L (was: Re: conflicts with libcap-dev)

>>>>> "Wichert" == Wichert Akkerman <wichert@valinux.com> writes:

    Wichert> Previously Brian May wrote:
    >> How can apt-get determine if a package conflicts or not before
    >> it has even down-loaded the package, if it can't rely on the
    >> Conflicts header showing file conflicts.

    Wichert> It shouldn't need to, if the Conflicts and/or Replaces
    Wichert> headers are wrong the package is broken, not apt-get.

You missed the point of my message.

The point was "maintaining the conflicts: header" is impossible, as
there always could be conflicting packages which the maintainer may
not even know about. How can we fix this?"

As an example of just how unmaintainable it is, realize that the
default value for stable versions of dpkg is --force-overwrite. I
believe this to be seriously broken, however some people say it is
required in order to work around problems with bad/missing
conflicts. Obviously it is a big problem.

If in doubt, please reread my message again.
Brian May <bam@debian.org>

Reply to: